- NAME
- SYNOPSIS
- DESCRIPTION
- NOTES
- RETURN VALUES
- SEE ALSO
- COPYRIGHT

# NAME

CMS_verify_receipt - verify a CMS signed receipt

# SYNOPSIS

     #include <openssl/cms.h>

     int CMS_verify_receipt(CMS_ContentInfo *rcms, CMS_ContentInfo *ocms,
                            STACK_OF(X509) *certs, X509_STORE *store,
                            unsigned int flags);

# DESCRIPTION

`CMS_verify_receipt()` verifies a CMS signed receipt. rcms is the signed receipt to verify. ocms is the original SignedData structure containing the receipt request. certs is a set of certificates in which to search for the signing certificate. store is a trusted certificate store (used for chain verification).

flags is an optional set of flags, which can be used to modify the verify operation.

# NOTES

This functions behaves in a similar way to `CMS_verify()` except the flag values CMS_DETACHED, CMS_BINARY, CMS_TEXT and CMS_STREAM are not supported since they do not make sense in the context of signed receipts.

# RETURN VALUES

`CMS_verify_receipt()` returns 1 for a successful verification and zero if an error occurred.

The error can be obtained from ERR_get_error(3)

# SEE ALSO

ERR_get_error(3), CMS_sign_receipt(3), CMS_verify(3),

# COPYRIGHT

Copyright 2008-2016 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the Apache License 2.0 (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.